/*
 * Copyright 2011 Apaq.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package dk.apaq.filter.vaadin;

import com.vaadin.data.Container;
import dk.apaq.filter.Filter;
import dk.apaq.filter.sort.Sorter;

/**
 *
 */
public interface FilterableContainer extends Container {

    Filter getFilter();
    Sorter getSorter();

    void setFilter(Filter filter);
    void setSorter(Sorter sorter);

    void setFilterAndSorter(Filter filter, Sorter sorter);

}
